%global _enable_debug_package 0
%global debug_package %{nil}

%ifarch i386 i486 i586 i686
%global binsuffix x86
%global sosuffix i386
%endif

%ifarch %{arm}
%global binsuffix arm
%global sosuffix arm
%endif

%ifarch x86_64 %{arm} aarch64 ppc64le s390x
%global binsuffix %{_arch}
%global sosuffix %{_arch}
%endif

Name:		iortcw
Version:	1.51c
Release:	7%{?dist}
Summary:	iortcw engine for Return to Castle Wolfenstein
Group:		Games
License:	GPLv3+
URL:		https://github.com/iortcw/iortcw
Source0:	https://github.com/iortcw/iortcw/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)

%description
Engine for Return to Castle Wolfenstein based on ioquake.

%prep
%autosetup -n %{name}-%{version}

%build
%ifarch i386 i486 i586 i686
CFLAGS=${CFLAGS%"-fcf-protection"}
%endif

cd SP
%make_build
cd -

cd MP
%make_build
cd -

%install
cd SP
COPYDIR=%{buildroot}%{_datarootdir}/games/wolf make copyfiles
cd -

cd MP
COPYDIR=%{buildroot}%{_datarootdir}/games/wolf make copyfiles
cd -

#Install the icon
%{__install} -D -p -m 644 SP/misc/wolf512.png \
	%{buildroot}%{_datadir}/icons/hicolor/512x512/apps/wolf.png

#Make launcher scripts
mkdir -p %{buildroot}%{_bindir}
printf "#!/bin/sh\n\n(cd %{_datarootdir}/games/wolf && exec ./iowolfmp.%{binsuffix})" > %{buildroot}%{_bindir}/iowolfmp
printf "#!/bin/sh\n\n(cd %{_datarootdir}/games/wolf && exec ./iowolfsp.%{binsuffix})" > %{buildroot}%{_bindir}/iowolfsp

#Install the desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%license SP/COPYING.txt
%{_datarootdir}/games/wolf/iowolfded.%{binsuffix}
%{_datarootdir}/games/wolf/iowolfmp.%{binsuffix}
%{_datarootdir}/games/wolf/iowolfsp.%{binsuffix}
%{_datarootdir}/games/wolf/renderer_mp_opengl1_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_mp_rend2_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_sp_opengl1_%{sosuffix}.so
%{_datarootdir}/games/wolf/renderer_sp_rend2_%{sosuffix}.so
%{_datarootdir}/games/wolf/main/cgame.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/cgame.sp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/qagame.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/qagame.sp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/ui.mp.%{sosuffix}.so
%{_datarootdir}/games/wolf/main/ui.sp.%{sosuffix}.so
%{_datarootdir}/icons/hicolor/512x512/apps/wolf.png
%{_datarootdir}/applications/iortcw.desktop
%attr(4755, root, root) %{_bindir}/iowolfmp
%attr(4755, root, root) %{_bindir}/iowolfsp

%changelog
* Mon Jan 30 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-7
- Disable fcf-protection for i686 targets

* Thu Oct 7 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-6
- Setup launcher scripts so launching with the included /bin/iowolf works

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-5
- Simplify suffix handling
- Make symlinks relative

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-4
- Explicitly require make
- Use autosetup

* Fri May 22 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-3
- Use pkgconfig for BuildRequires

* Sun Sep 29 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-2
- Add support for aarch64, ppc64le

* Fri Mar 22 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.51c-1
- Update to 1.51c

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.51b-2
- Explicitly require gcc-c++

* Tue Sep 26 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.51b-1
- Update to 1.51b

* Fri Jun 23 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.51-1
- Update to 1.51

* Thu Mar 30 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.50a-2
- Add desktop file

* Wed Jan 25 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.50a-1
- Initial specfile
